# CausalTest
This library's purpose is to build a Python API to
* create test in BQ
* create geo split in BQ
* visualize geo split
* measure incremental impact of a treatment
* visualize incremental impact

### Installation
You can install it from local if you need to use the local version of causaltest (for exemple to develop the marketing-incrementality project). To do so, place yourself in the virtual env of the marketing-incrementality project, `cd` in causaltest root, and run:
```
pip install -r .
```

Install specific version from public GCS package
The GCS packages are public and do not require any authentication.

```
pip install https://storage.googleapis.com/bbc-datascience-libraries/python/causaltest-latest.tar.gz
```

### Use
Please go to `run.py` to see main methods

### Resources
Incrementality measurement is based on an article written by Google (https://storage.googleapis.com/pub-tools-public-publication-data/pdf/41854.pdf) which relies on a bayesian inference model.
