GCLOUD_PROJECT_ID = 'bbc-data-marketing-automation'

DATASET_INCREMENTALITY = 'incrementality'
GEO_SPLIT = 'geo_split'
FACT_INCREMENTALITY_TEST = 'fact_test'

# Default values
NB_BUCKETS = 10


# Spreadsheets


QUERY_DIM_GEO = {
    'meta_city_id': 'dim_geo_meta_city',
    'region_id': 'dim_geo_region'
}
DATE_NAME = 'date_utc'
QUERIES = {
    'booking': {
        'meta_city_id': 'old_fact_geo_meta_city',
        'region_id': 'fact_geo_region'
    },
}

QUERY_FACT_TEST = 'fact_test'

ALLOWED_TARGET = ['booking', 'publication', 'appinstall']
ALLOWED_COUNTRY_CODES = ['fr', 'de', 'pl', 'ru', 'ua', 'br', 'es']
ALLOWED_GEO_DIM = ['meta_city_id', 'region_id']

LAT_LONG = {
    'fr': [47.078851, 2.398131],
    'de': [51.389253, 10.321668],
    'pl': [52.333040, 19.345307],
    'ru': [61.743469, 66.042176],
    'ua': [49.292973, 32.210371],
    'br': [-11.861158, -47.621953],
    'es': [40.423780, -2.929955]
}
COLOR = {'treatment': 'red', 'control': 'blue', 'excluded': 'black'}

COEF_IMPACT = 0.1
