from causaltest import CausalTest

# you can either create a test from scratch
# or load a previous one provided you have the ID
cs = CausalTest.create_from_json({'start_date': '2019-12-01'})
cs = CausalTest.get_from_id('ff8e833f-e834-4ca2-9eee-cdded504c9c1')

# loads or create table in BQ
cs.load_data()
cs.deactivate_test()
cs.process_split()
cs.activate_test()

cs.map_split() # return a folium object
with open("map.html", "w") as f:
    f.write(cs.network_map_html)

cs.infer_impact()

cs.plot_impact()

cs.plot_test_period()
